Upgrade Debian 9 and 4.x

    • I came here by looking for a solution to weakref.py error. I applied the fixes described below, but the web interface would throw a new error on anything I would do with it (for instance, I tried adding a scheduled job):

      Error #0:
      OMV\ExecException: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; omv-mkconf cron 2>&1' with exit code '1': Failed to import the site module
      Error processing line 1 of /usr/lib/python3/dist-packages/zope.component-4.3.0-nspkg.pth:


      Traceback (most recent call last):
      File "/usr/lib/python3.5/site.py", line 173, in addpackage
      exec(line)
      File "<string>", line 1, in <module>
      File "/usr/lib/python3.5/types.py", line 166, in <module>
      import functools as _functools
      File "/usr/lib/python3.5/functools.py", line 23, in <module>
      from weakref import WeakKeyDictionary
      File "/usr/lib/python3.5/weakref.py", line 109
      def remove(wr, selfref=ref(self)), _atomic_removal=_remove_dead_weakref):
      ^
      SyntaxError: invalid syntax


      During handling of the above exception, another exception occurred:


      Traceback (most recent call last):
      File "/usr/lib/python3.5/site.py", line 580, in <module>
      main()
      File "/usr/lib/python3.5/site.py", line 567, in main
      known_paths = addsitepackages(known_paths)
      File "/usr/lib/python3.5/site.py", line 344, in addsitepackages
      addsitedir(sitedir, known_paths)
      File "/usr/lib/python3.5/site.py", line 212, in addsitedir
      addpackage(sitedir, name, known_paths)
      File "/usr/lib/python3.5/site.py", line 183, in addpackage
      import traceback
      File "/usr/lib/python3.5/traceback.py", line 5, in <module>
      import linecache
      File "/usr/lib/python3.5/linecache.py", line 8, in <module>
      import functools
      File "/usr/lib/python3.5/functools.py", line 23, in <module>
      from weakref import WeakKeyDictionary
      File "/usr/lib/python3.5/weakref.py", line 109
      def remove(wr, selfref=ref(self)), _atomic_removal=_remove_dead_weakref):
      ^
      SyntaxError: invalid syntax in /usr/share/php/openmediavault/system/process.inc:175
      Stack trace:
      #0 /usr/share/openmediavault/engined/module/cron.inc(51): OMV\System\Process->execute()
      #1 /usr/share/openmediavault/engined/rpc/config.inc(168): OMVModuleCron->applyConfig()
      #2 [internal function]: OMVRpcServiceConfig->applyChanges(Array, Array)
      #3 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)
      #4 /usr/share/php/openmediavault/rpc/serviceabstract.inc(149): OMV\Rpc\ServiceAbstract->callMethod('applyChanges', Array, Array)
      #5 /usr/share/php/openmediavault/rpc/serviceabstract.inc(565): OMV\Rpc\ServiceAbstract->OMV\Rpc\{closure}('/tmp/bgstatus04...', '/tmp/bgoutputV2...')
      #6 /usr/share/php/openmediavault/rpc/serviceabstract.inc(159): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))
      #7 /usr/share/openmediavault/engined/rpc/config.inc(213): OMV\Rpc\ServiceAbstract->callMethodBg('applyChanges', Array, Array)
      #8 [internal function]: OMVRpcServiceConfig->applyChangesBg(Array, Array)
      #9 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)
      #10 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('applyChangesBg', Array, Array)
      #11 /usr/sbin/omv-engined(536): OMV\Rpc\Rpc::call('Config', 'applyChangesBg', Array, Array, 1)
      #12 {main}

      I reverted weakref.py changes and now the web interface is working normally again.
      Riddle me this, riddle me that
      Who is afraid of the big, black bat?
      I write on a blog (Romanian mostly)
      Testing (latest) OMV 4.x on an oDroid XU4 (currently with kernel 4.14.x)
    • Upgrade Debian 9 and 4.x

      When you change the lines to the described, it should work:

      Upgrade Debian 9 and 4.x

      Regards Hoppel
      ---------------------------------------------------------------------------------------------------------------
      frontend software - tvos | android tv | libreelec | win10 | kodi krypton
      frontend hardware - appletv 4k | nvidia shield tv | odroid c2 | yamaha rx-a1020 | quadral chromium style 5.1 | samsung le40-a789r2
      -------------------------------------------
      backend software - debian | openmediavault | latest backport kernel | zfs raid-z2 | docker | emby | unifi | vdr | tvheadend | fhem
      backend hardware - supermicro x11ssh-ctf | xeon E3-1240L-v5 | 64gb ecc | 8x10tb wd red | digital devices max s8
      ---------------------------------------------------------------------------------------------------------------------------------------

      The post was edited 1 time, last by hoppel118 ().

    • You have to be careful with "space" and "tab". Not sure what is used (I assume "tab"), but make sure to use exactly what is used in the original weakref.py file.

      But I thought this is fixed in the meantime. Have you updated the system?
      Odroid HC2 - armbian - Seagate ST4000DM004 - OMV4.x
      Asrock Q1900DC-ITX - 16GB - 2x Seagate ST3000VN000 - Intenso SSD 120GB - OMV4.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV4 Documentation - user guide :!:
    • @Odd10: thank you for pointing that out. It seems that I did not pay enough attention to what I was doing and I copy pasted it wrong. This never happened on Linux (I was using KiTTY on Windows). My Python knowledge is close to zero :D

      I updated everything there was to be updated, but it seems that OpenMediaVault 4 is a little behind than OpenMediaVault 3 was in regards to fixes and updates. There are also lots of plugins missing in OMV 3, even after this long period of time of being in Beta. It is still in Beta. Enough offtopic about OMV now.
      Riddle me this, riddle me that
      Who is afraid of the big, black bat?
      I write on a blog (Romanian mostly)
      Testing (latest) OMV 4.x on an oDroid XU4 (currently with kernel 4.14.x)
    • tmihai20 wrote:

      I updated everything there was to be updated, but it seems that OpenMediaVault 4 is a little behind than OpenMediaVault 3 was in regards to fixes and updates.
      The python bug is not something OMV controls. That is a package in the Debian repos.

      tmihai20 wrote:

      There are also lots of plugins missing in OMV 3, even after this long period of time of being in Beta. It is still in Beta.
      There are no plugins missing (maybe fail2ban) that will be ported to OMV 4. I assume you are referring to the downloader plugins that we think are better suited to docker? OMV + Docker plugin media server (Plex, PlexPy, Ombi, Libresonic, NZBGet, ruTorrent, Sonarr, Radarr, Mylar, and more)
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • tmihai20 wrote:

      My Python knowledge is close to zero
      And why do you try to modify system relevant code then??????? Does this error output hurt you? It does not stop OMV nor other python code from working, it's only a cosmetic issue.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • tmihai20 wrote:

      I updated everything there was to be updated, but it seems that OpenMediaVault 4 is a little behind than OpenMediaVault 3 was in regards to fixes and updates. There are also lots of plugins missing in OMV 3, even after this long period of time of being in Beta. It is still in Beta. Enough offtopic about OMV now.
      OMV4 is much more stable than all previous versions. Some plugins have been dropped because they can be replaced by Docker containers. Others have been dropped because the maintainers do not support them anymore. If you like, then you can take over the maintenance for missing plugins.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • I am sorry if I offended anyone, but I went from OMV 2 to 2 instances of OMV 3 and then to OMV 4. I has mostly everything in the latest version of OMV3, but my installation got messed up and I wanted to upgrade.

      I may have been also tired when I modified that Python code. I want an error free installation. Is that such a bad thing? I miss the Deluge integration within the GUI. I am not using any other downloaders. I also updated Plex by hand with help from dev2day.de/. I honestly do not see the benefit of running downloaders in Docker.
      Riddle me this, riddle me that
      Who is afraid of the big, black bat?
      I write on a blog (Romanian mostly)
      Testing (latest) OMV 4.x on an oDroid XU4 (currently with kernel 4.14.x)
    • tmihai20 wrote:

      I honestly do not see the benefit of running downloaders in Docker.
      I can give you a few benefits:
      • We don't have a plugin maintainer so docker is your only option with OMV 4.
      • People who really know the downloader service are most likely maintaining the docker.
      • Downloaders often need bleeding edge dependencies that are not available in the Debian repo. Adding other repos to OMV can cause issues with system stability.
      • Downloaders have been known to do/download bad things. Keeping it in a jail (docker) will greatly reduce the chance of causing harm to things outside of the docker.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • You probably wanted to get rid of some packages because the components that we are discussing about were present there in the previous release of OMV. I know that you upgraded Debian. This situation happened for other when upgrading from OMV 2 to OMV 3. What would it mean to take over the plugins? Is there a github repo where the older plugin is present?
      Riddle me this, riddle me that
      Who is afraid of the big, black bat?
      I write on a blog (Romanian mostly)
      Testing (latest) OMV 4.x on an oDroid XU4 (currently with kernel 4.14.x)
    • tmihai20 wrote:

      You probably wanted to get rid of some packages because the components that we are discussing about were present there in the previous release of OMV.
      I wasn't the maintainer of the plugins. And yes, the maintainer did maintain them for a while with OMV 3.x.

      tmihai20 wrote:

      I know that you upgraded Debian.
      I didn't upgrade Debian. Volker is the OMV author and he did choose to Debian 9 for OMV 4.x but that has nothing to do with why the plugins are not maintained/ported to 4.x.

      tmihai20 wrote:

      This situation happened for other when upgrading from OMV 2 to OMV 3.
      I'm not sure what this statement means.

      tmihai20 wrote:

      What would it mean to take over the plugins?
      You make them work although I don't know why you would. Most of the download plugins are just a start/stop. docker is still the best idea.

      tmihai20 wrote:

      Is there a github repo where the older plugin is present?
      Look at my signature.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      I didn't upgrade Debian. Volker is the OMV author and he did choose to Debian 9 for OMV 4.x but that has nothing to do with why the plugins are not maintained/ported to 4.x.
      I thought some plugins were dropped because of being difficult to maintain them with the new Debian and/or new version of OMV.

      ryecoaaron wrote:

      I'm not sure what this statement means.
      When I said "you", I meant "you guys/gals that are in charge of OMV or at least maintaing OMV".

      ryecoaaron wrote:

      You make them work although I don't know why you would. Most of the download plugins are just a start/stop. docker is still the best idea.
      If you say it is not worth it, then I will not get involved anymore with the downloader plugins. I can live with installing and configuring Deluge by myself. Deluge plugin was the only one I needed.
      Riddle me this, riddle me that
      Who is afraid of the big, black bat?
      I write on a blog (Romanian mostly)
      Testing (latest) OMV 4.x on an oDroid XU4 (currently with kernel 4.14.x)
    • Hi guys,

      some days ago my server informed about new python packages, which I installed today.

      Source Code

      1. Get:1 http://security.debian.org/debian-security stretch/updates/main amd64 python3.5 amd64 3.5.3-1+deb9u1 [229 kB]
      2. Get:2 http://security.debian.org/debian-security stretch/updates/main amd64 libpython3.5-stdlib amd64 3.5.3-1+deb9u1 [2167 kB]
      3. Get:3 http://security.debian.org/debian-security stretch/updates/main amd64 python3.5-minimal amd64 3.5.3-1+deb9u1 [1691 kB]
      4. Get:4 http://security.debian.org/debian-security stretch/updates/main amd64 libpython3.5-minimal amd64 3.5.3-1+deb9u1 [573 kB]
      After that I installed the new zfs packages and the weakref.py issue is back again:


      Source Code

      1. DKMS: install completed.
      2. Setting up libzpool2linux (0.7.11-1~bpo9+1) ...
      3. Setting up libzfs2linux (0.7.11-1~bpo9+1) ...
      4. Setting up zfsutils-linux (0.7.11-1~bpo9+1) ...
      5. zfs-import-scan.service is a disabled or a static unit, not starting it.
      6. Setting up zfs-zed (0.7.11-1~bpo9+1) ...
      7. Processing triggers for libc-bin (2.24-11+deb9u3) ...
      8. Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7fb3031568c8>
      9. Traceback (most recent call last):
      10. File "/usr/lib/python3.5/weakref.py", line 117, in remove
      11. TypeError: 'NoneType' object is not callable
      12. Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7fb3031568c8>
      13. Traceback (most recent call last):
      14. File "/usr/lib/python3.5/weakref.py", line 117, in remove
      15. TypeError: 'NoneType' object is not callable
      16. Done ...
      Display All


      So, I googled a bit around and found the following comment at github: github.com/OpenTechStrategies/…85#issuecomment-324815526

      Seemingly the issue is solved with python 3.6.1. So we have to wait until that version gets released officially. Until that happens I am using the workaround again.

      Regards Hoppel
      ---------------------------------------------------------------------------------------------------------------
      frontend software - tvos | android tv | libreelec | win10 | kodi krypton
      frontend hardware - appletv 4k | nvidia shield tv | odroid c2 | yamaha rx-a1020 | quadral chromium style 5.1 | samsung le40-a789r2
      -------------------------------------------
      backend software - debian | openmediavault | latest backport kernel | zfs raid-z2 | docker | emby | unifi | vdr | tvheadend | fhem
      backend hardware - supermicro x11ssh-ctf | xeon E3-1240L-v5 | 64gb ecc | 8x10tb wd red | digital devices max s8
      ---------------------------------------------------------------------------------------------------------------------------------------

      The post was edited 1 time, last by hoppel118 ().

    • hoppel118 wrote:

      Seemingly the issue is solved with python 3.6.1. So we have to wait until that version gets released officially
      No.

      If you're interested in this absolutely harmless warning disappearing you need to take action since upstream Debian is not known to increase software versions in a release (the 'stable' mantra). So report issues upstream if you're interested in them getting resolved or live with it: crash omv-mkconf and omv-update
    • Users Online 2

      2 Guests